dns_ip4(3)

NAME
dns_ip4 - look up IPv4 addresses

SYNTAX
#include <libowfat/dns.h> int dns_ip4(stralloc* out,stralloc* fqdn);

DESCRIPTION
dns_ip4 looks up 4-byte IP addresses for the fully-qualified domain name in fqdn. It puts the concatenation of the IP addresses into out and returns 0. If the domain does not exist in DNS, or has no IP addresses, out will be empty. If dns_ip4 has trouble with the DNS lookup or runs out of memory, it returns -1, setting errno appropriately. It may or may not change out. If fqdn is a dotted-decimal IP address, dns_ip4 puts that IP address into out without checking DNS. More generally, if fqdn is a dot-separated sequence of dotted-decimal IP addresses, dns_ip4 puts those IP addresses into out without checking DNS. Brackets may appear inside the dotted-decimal IP addresses; they are ignored.

SEE ALSO
dns_ip4_packet(3), dns_ip6(3), dns_name4(3)